Bug 235480 - [PATCH] multimedia/photofilmstrip missing plugin
Summary: [PATCH] multimedia/photofilmstrip missing plugin
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-04 08:14 UTC by Matthias Gamsjager
Modified: 2019-02-23 06:33 UTC (History)
0 users

See Also:
tobik: maintainer-feedback-


Attachments
Patch for Makefile (493 bytes, patch)
2019-02-04 08:14 UTC, Matthias Gamsjager
no flags Details | Diff
Updated patch file for Makefile (270 bytes, patch)
2019-02-08 09:33 UTC, Matthias Gamsjager
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Gamsjager 2019-02-04 08:14:23 UTC
Created attachment 201708 [details]
Patch for Makefile

The applications is missing a gstreamer plugin to handle jpeg files.
Comment 1 Tobias Kortkamp freebsd_committer 2019-02-08 08:27:39 UTC
Comment on attachment 201708 [details]
Patch for Makefile

This doesn't work. The RUN_DEPENDS spec currently checks for a binary
called gstreamer1-plugins-jpeg which doesn't exist.  This basically breaks
the port.  Please use

USE_GSTREAMER1=	jpeg

here.
Comment 2 Tobias Kortkamp freebsd_committer 2019-02-08 08:30:00 UTC
Comment on attachment 201708 [details]
Patch for Makefile

The patch doesn't apply either.  It seems to be malformed with tabs replaced by
spaces.
Comment 3 Matthias Gamsjager 2019-02-08 09:33:09 UTC
Created attachment 201834 [details]
Updated patch file for Makefile
Comment 4 Matthias Gamsjager 2019-02-08 09:37:52 UTC
(In reply to Tobias Kortkamp from comment #2)
Sorry for cause more work then needed. Updated the patch file.
Comment 5 commit-hook freebsd_committer 2019-02-23 06:32:15 UTC
A commit references this bug:

Author: tobik
Date: Sat Feb 23 06:31:53 UTC 2019
New revision: 493646
URL: https://svnweb.freebsd.org/changeset/ports/493646

Log:
  multimedia/photofilmstrip: Add missing run dependency

  The application needs gstreamer1-plugins-jpeg to handle jpeg files.

  PR:		235480
  Submitted by:	Matthias Gamsjager <mgamsjager@gmail.com>
  Approved by:	bofh (maintainer timeout, 2 weeks)

Changes:
  head/multimedia/photofilmstrip/Makefile
Comment 6 commit-hook freebsd_committer 2019-02-23 06:33:18 UTC
A commit references this bug:

Author: tobik
Date: Sat Feb 23 06:32:40 UTC 2019
New revision: 493647
URL: https://svnweb.freebsd.org/changeset/ports/493647

Log:
  MFH: r493646

  multimedia/photofilmstrip: Add missing run dependency

  The application needs gstreamer1-plugins-jpeg to handle jpeg files.

  PR:		235480
  Submitted by:	Matthias Gamsjager <mgamsjager@gmail.com>
  Approved by:	bofh (maintainer timeout, 2 weeks)

  Approved by:	ports-secteam blanket

Changes:
_U  branches/2019Q1/
  branches/2019Q1/multimedia/photofilmstrip/Makefile